#!/bin/sh

VENDOR1=
VENDOR2=
MODEL1=
MODEL2=

if ./prodinfo /dev/mtd0 vendor > /dev/null ; then
	VENDOR1=`./prodinfo /dev/mtd0 vendor`
else
	exit 0 # no vendor info in flash
fi

if ./prodinfo /dev/mtd0 model > /dev/null; then
	MODEL1=`./prodinfo /dev/mtd0 model`
else
	exit 0 # no model info in flash
fi

VENDOR2=`busybox cat ./vendor`
MODEL2=`busybox cat ./model`

if busybox test "$VENDOR1" = "$VENDOR2" ; then
	if busybox test "$MODEL1" = "$MODEL2" ; then
		exit 0
	else
		busybox echo "[ERROR] mismatch in model name, Onboard model $MODEL1, package model $MODEL2"
	fi
else
	busybox echo "[ERROR] mismatch in vendor name, Onboard vendor $VENDOR1, package vendor $VENDOR2"
fi

exit 1
